// Options.cpp : implementation file
//

#include "stdafx.h"
#include "Options.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Options dialog


Options::Options(CWnd* pParent /*=NULL*/)
	: CDialog(Options::IDD, pParent)
{
	//{{AFX_DATA_INIT(Options)
	m_ColorKey = FALSE;
	m_GREEN = 0;
	m_RED = 255;
	m_BLUE = 255;
	m_DrawTrans = FALSE;
	m_XorTiles = FALSE;
	m_GREEN2 = 0;
	m_RED2 = 0;
	m_BLUE2 = 0;
	m_PlayAnim = FALSE;
	m_LayerAll = 0;
	//}}AFX_DATA_INIT
}


void Options::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Options)
	DDX_Check(pDX, IDC_COLORKEY, m_ColorKey);
	DDX_Text(pDX, IDC_GREEN, m_GREEN);
	DDV_MinMaxByte(pDX, m_GREEN, 0, 255);
	DDX_Text(pDX, IDC_RED, m_RED);
	DDV_MinMaxByte(pDX, m_RED, 0, 255);
	DDX_Text(pDX, IDC_BLUE, m_BLUE);
	DDV_MinMaxByte(pDX, m_BLUE, 0, 255);
	DDX_Check(pDX, IDC_DRAWTRANS, m_DrawTrans);
	DDX_Check(pDX, IDC_XORTILES, m_XorTiles);
	DDX_Text(pDX, IDC_GREEN2, m_GREEN2);
	DDV_MinMaxByte(pDX, m_GREEN2, 0, 255);
	DDX_Text(pDX, IDC_RED2, m_RED2);
	DDV_MinMaxByte(pDX, m_RED2, 0, 255);
	DDX_Text(pDX, IDC_BLUE2, m_BLUE2);
	DDV_MinMaxByte(pDX, m_BLUE2, 0, 255);
	DDX_Check(pDX, IDC_PLAYANIM, m_PlayAnim);
	DDX_Radio(pDX, IDC_LAYERSOFF, m_LayerAll);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Options, CDialog)
	//{{AFX_MSG_MAP(Options)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Options message handlers
